Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(40)

Issue 2873243002: Move components/display_compositor to components/viz/display_compositor (Closed)

Created:
6 months, 2 weeks ago by xing.xu
Modified:
6 months, 1 week ago
CC:
Aaron Boodman, abarth-chromium, blundell+watchlist_chromium.org, cc-bugs_chromium.org, chfremer+watch_chromium.org, chromium-reviews, danakj+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, droger+watchlist_chromium.org, feature-media-reviews_chromium.org, jam, jbauman+watch_chromium.org, kalyank, mac-reviews_chromium.org, mfoltz+watch_chromium.org, miu+watch_chromium.org, nona+watch_chromium.org, piman+watch_chromium.org, posciak+watch_chromium.org, qsr+mojo_chromium.org, rjkroege, sdefresne+watchlist_chromium.org, shuchen+watch_chromium.org, James Su, viettrungluu+watch_chromium.org, xjz+watch_chromium.org, yusukes+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move components/display_compositor to components/viz/display_compositor BUG=719929 Review-Url: https://codereview.chromium.org/2873243002 Cr-Commit-Position: refs/heads/master@{#472519} Committed: https://chromium.googlesource.com/chromium/src/+/e334e566ba0d6980a21b8ffa86f0435648c7a68f

Patch Set 1 #

Patch Set 2 : Move viz_export.h #

Patch Set 3 : Rebase and fix mac build #

Total comments: 2

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+398 lines, -8063 lines) Patch
M components/BUILD.gn View 1 2 3 2 chunks +1 line, -1 line 0 comments Download
D components/display_compositor/BUILD.gn View 1 chunk +0 lines, -176 lines 0 comments Download
D components/display_compositor/DEPS View 1 chunk +0 lines, -27 lines 0 comments Download
D components/display_compositor/OWNERS View 1 chunk +0 lines, -6 lines 0 comments Download
D components/display_compositor/buffer_queue.h View 1 chunk +0 lines, -136 lines 0 comments Download
D components/display_compositor/buffer_queue.cc View 1 chunk +0 lines, -303 lines 0 comments Download
D components/display_compositor/buffer_queue_unittest.cc View 1 chunk +0 lines, -680 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator.h View 1 chunk +0 lines, -28 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_android.h View 1 chunk +0 lines, -41 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_android.cc View 1 chunk +0 lines, -68 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_mac.h View 1 chunk +0 lines, -40 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_mac.mm View 1 chunk +0 lines, -37 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_ozone.h View 1 chunk +0 lines, -55 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_ozone.cc View 1 chunk +0 lines, -128 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_win.h View 1 chunk +0 lines, -35 lines 0 comments Download
D components/display_compositor/compositor_overlay_candidate_validator_win.cc View 1 chunk +0 lines, -40 lines 0 comments Download
D components/display_compositor/display_compositor_export.h View 1 chunk +0 lines, -33 lines 0 comments Download
D components/display_compositor/display_compositor_test_suite.h View 1 chunk +0 lines, -39 lines 0 comments Download
D components/display_compositor/display_compositor_test_suite.cc View 1 chunk +0 lines, -38 lines 0 comments Download
D components/display_compositor/gl_helper.h View 1 chunk +0 lines, -382 lines 0 comments Download
D components/display_compositor/gl_helper.cc View 1 chunk +0 lines, -1248 lines 0 comments Download
D components/display_compositor/gl_helper_benchmark.cc View 1 chunk +0 lines, -254 lines 0 comments Download
D components/display_compositor/gl_helper_readback_support.h View 1 chunk +0 lines, -76 lines 0 comments Download
D components/display_compositor/gl_helper_readback_support.cc View 1 chunk +0 lines, -172 lines 0 comments Download
D components/display_compositor/gl_helper_scaling.h View 1 chunk +0 lines, -208 lines 0 comments Download
D components/display_compositor/gl_helper_scaling.cc View 1 chunk +0 lines, -881 lines 0 comments Download
D components/display_compositor/gl_helper_unittest.cc View 1 chunk +0 lines, -1434 lines 0 comments Download
D components/display_compositor/host_shared_bitmap_manager.h View 1 chunk +0 lines, -111 lines 0 comments Download
D components/display_compositor/host_shared_bitmap_manager.cc View 1 chunk +0 lines, -222 lines 0 comments Download
D components/display_compositor/host_shared_bitmap_manager_unittest.cc View 1 chunk +0 lines, -137 lines 0 comments Download
D components/display_compositor/run_all_unittests.cc View 1 chunk +0 lines, -16 lines 0 comments Download
D components/display_compositor/yuv_readback_unittest.cc View 1 chunk +0 lines, -559 lines 0 comments Download
A + components/viz/display_compositor/BUILD.gn View 2 chunks +1 line, -2 lines 0 comments Download
A + components/viz/display_compositor/DEPS View 0 chunks +-1 lines, --1 lines 0 comments Download
A + components/viz/display_compositor/OWNERS View 0 chunks +-1 lines, --1 lines 0 comments Download
A + components/viz/display_compositor/buffer_queue.h View 6 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/buffer_queue.cc View 3 chunks +4 lines, -4 lines 0 comments Download
A + components/viz/display_compositor/buffer_queue_unittest.cc View 4 chunks +5 lines, -5 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator.h View 2 chunks +7 lines, -7 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_android.h View 3 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_android.cc View 3 chunks +3 lines, -3 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_mac.h View 2 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_mac.mm View 2 chunks +3 lines, -3 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_ozone.h View 2 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_ozone.cc View 3 chunks +3 lines, -3 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_win.h View 2 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/compositor_overlay_candidate_validator_win.cc View 3 chunks +4 lines, -5 lines 0 comments Download
A + components/viz/display_compositor/display_compositor_test_suite.h View 3 chunks +5 lines, -5 lines 0 comments Download
A + components/viz/display_compositor/display_compositor_test_suite.cc View 2 chunks +3 lines, -3 lines 0 comments Download
A + components/viz/display_compositor/gl_helper.h View 7 chunks +11 lines, -10 lines 0 comments Download
A + components/viz/display_compositor/gl_helper.cc View 12 chunks +25 lines, -36 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_benchmark.cc View 6 chunks +13 lines, -16 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_readback_support.h View 2 chunks +9 lines, -9 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_readback_support.cc View 3 chunks +4 lines, -4 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_scaling.h View 4 chunks +9 lines, -9 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_scaling.cc View 3 chunks +3 lines, -3 lines 0 comments Download
A + components/viz/display_compositor/gl_helper_unittest.cc View 21 chunks +43 lines, -47 lines 0 comments Download
A + components/viz/display_compositor/host_shared_bitmap_manager.h View 5 chunks +8 lines, -8 lines 0 comments Download
A + components/viz/display_compositor/host_shared_bitmap_manager.cc View 5 chunks +7 lines, -7 lines 0 comments Download
A + components/viz/display_compositor/host_shared_bitmap_manager_unittest.cc View 2 chunks +3 lines, -3 lines 0 comments Download
A components/viz/display_compositor/run_all_unittests.cc View 1 chunk +15 lines, -0 lines 0 comments Download
A + components/viz/display_compositor/yuv_readback_unittest.cc View 9 chunks +10 lines, -11 lines 0 comments Download
M components/viz/frame_sinks/BUILD.gn View 2 chunks +1 line, -2 lines 0 comments Download
M components/viz/frame_sinks/DEPS View 1 chunk +1 line, -1 line 0 comments Download
M components/viz/frame_sinks/frame_eviction_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M components/viz/frame_sinks/frame_eviction_manager.cc View 2 chunks +3 lines, -4 lines 0 comments Download
M components/viz/frame_sinks/frame_evictor.h View 1 chunk +1 line, -1 line 0 comments Download
M components/viz/frame_sinks/mojo_frame_sink_manager.h View 1 chunk +1 line, -1 line 0 comments Download
D components/viz/frame_sinks/viz_export.h View 1 chunk +0 lines, -29 lines 0 comments Download
A + components/viz/viz_export.h View 1 2 chunks +3 lines, -3 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 2 chunks +1 line, -1 line 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M content/browser/compositor/browser_compositor_output_surface.h View 3 chunks +3 lines, -3 lines 0 comments Download
M content/browser/compositor/browser_compositor_output_surface.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/gpu_browser_compositor_output_surface.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/gpu_browser_compositor_output_surface.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/gpu_output_surface_mac.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/gpu_output_surface_mac.mm View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/gpu_process_transport_factory.h View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/gpu_process_transport_factory.cc View 1 2 3 14 chunks +24 lines, -34 lines 0 comments Download
M content/browser/compositor/gpu_surfaceless_browser_compositor_output_surface.h View 3 chunks +4 lines, -4 lines 0 comments Download
M content/browser/compositor/gpu_surfaceless_browser_compositor_output_surface.cc View 3 chunks +7 lines, -7 lines 0 comments Download
M content/browser/compositor/image_transport_factory.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/image_transport_factory_browsertest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/offscreen_browser_compositor_output_surface.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/compositor/offscreen_browser_compositor_output_surface.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/owned_mailbox.h View 3 chunks +3 lines, -3 lines 0 comments Download
M content/browser/compositor/owned_mailbox.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/compositor/reflector_impl_unittest.cc View 1 2 3 3 chunks +5 lines, -6 lines 0 comments Download
M content/browser/compositor/reflector_texture.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/reflector_texture.cc View 2 chunks +3 lines, -4 lines 0 comments Download
M content/browser/compositor/surface_utils.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M content/browser/compositor/test/no_transport_image_transport_factory.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/compositor/test/no_transport_image_transport_factory.cc View 3 chunks +5 lines, -6 lines 0 comments Download
M content/browser/media/capture/aura_window_capture_machine.h View 2 chunks +2 lines, -3 lines 0 comments Download
M content/browser/media/capture/aura_window_capture_machine.cc View 3 chunks +4 lines, -4 lines 0 comments Download
M content/browser/renderer_host/compositor_impl_android.cc View 1 2 3 4 chunks +6 lines, -7 lines 0 comments Download
M content/browser/renderer_host/delegated_frame_host.h View 2 chunks +2 lines, -3 lines 0 comments Download
M content/browser/renderer_host/delegated_frame_host.cc View 1 2 3 6 chunks +8 lines, -8 lines 0 comments Download
M content/browser/renderer_host/media/video_capture_buffer_pool_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/media/video_capture_controller.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_message_filter.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/renderer_host/render_message_filter.cc View 1 chunk +1 line, -2 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_impl.cc View 1 2 3 2 chunks +2 lines, -3 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_android.cc View 1 2 3 8 chunks +9 lines, -9 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura_unittest.cc View 1 2 3 6 chunks +11 lines, -11 lines 0 comments Download
M content/test/BUILD.gn View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M services/ui/surfaces/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/surfaces/DEPS View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/surfaces/display_output_surface_ozone.h View 3 chunks +4 lines, -4 lines 0 comments Download
M services/ui/surfaces/display_output_surface_ozone.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M services/ui/surfaces/mus_display_provider.h View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/surfaces/mus_display_provider.cc View 1 2 2 chunks +4 lines, -5 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-simulator   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromium_presubmit   android_n5x_swarming_rel   android_compile_dbg   cast_shell_android   android_cronet   linux_android_rel_ng   android_clang_dbg_recipe   android_arm64_dbg_recipe   chromium_presubmit   chromium_presubmit   linux_android_rel_ng   ios-simulator   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-simulator-xcode-clang   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   cast_shell_linux   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   linux_android_rel_ng   android_arm64_dbg_recipe   android_cronet   android_clang_dbg_recipe   android_compile_dbg 

Messages

Total messages: 59 (35 generated)
xing.xu
PTAL: rjkroege@chromium.org is commented as: For touch/gesture specific changes (at content/browser/renderer_host) jbauman@chromium.org is commented as: ...
6 months, 2 weeks ago (2017-05-10 02:55:13 UTC) #5
Fady Samuel
lgtm
6 months, 2 weeks ago (2017-05-10 09:08:29 UTC) #16
Alex Z.
Thanks for working on this! lgtm
6 months, 2 weeks ago (2017-05-10 13:33:20 UTC) #19
boliu
lgtm w/ nit https://codereview.chromium.org/2873243002/diff/50113/content/browser/compositor/browser_compositor_output_surface.h File content/browser/compositor/browser_compositor_output_surface.h (right): https://codereview.chromium.org/2873243002/diff/50113/content/browser/compositor/browser_compositor_output_surface.h#newcode18 content/browser/compositor/browser_compositor_output_surface.h:18: namespace viz { nit: there's an ...
6 months, 2 weeks ago (2017-05-10 17:36:04 UTC) #20
xing.xu
https://codereview.chromium.org/2873243002/diff/50113/content/browser/compositor/browser_compositor_output_surface.h File content/browser/compositor/browser_compositor_output_surface.h (right): https://codereview.chromium.org/2873243002/diff/50113/content/browser/compositor/browser_compositor_output_surface.h#newcode18 content/browser/compositor/browser_compositor_output_surface.h:18: namespace viz { On 2017/05/10 17:36:03, boliu wrote: > ...
6 months, 2 weeks ago (2017-05-11 00:27:17 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2873243002/50113
6 months, 2 weeks ago (2017-05-11 00:31:19 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/433364)
6 months, 2 weeks ago (2017-05-11 00:49:12 UTC) #25
xing.xu
PTAL, jbauman@ for components/display_compositor/
6 months, 2 weeks ago (2017-05-11 02:46:06 UTC) #26
xing.xu
PTAL, add danakj@ for components/display_compositor/
6 months, 2 weeks ago (2017-05-11 21:55:15 UTC) #28
jbauman
lgtm
6 months, 2 weeks ago (2017-05-11 21:59:51 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2873243002/50113
6 months, 2 weeks ago (2017-05-11 23:20:31 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/442558)
6 months, 2 weeks ago (2017-05-11 23:50:05 UTC) #33
xing.xu
** Presubmit ERRORS ** Missing LGTM from an OWNER for these files: components/BUILD.gn components/display_compositor/BUILD.gn components/display_compositor/DEPS ...
6 months, 2 weeks ago (2017-05-11 23:58:09 UTC) #34
Fady Samuel
+piman@ for content/ changes
6 months, 2 weeks ago (2017-05-13 10:37:27 UTC) #37
palmer
RS LGTM
6 months, 1 week ago (2017-05-15 18:24:57 UTC) #38
piman
rs lgtm
6 months, 1 week ago (2017-05-15 19:15:12 UTC) #39
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2873243002/50113
6 months, 1 week ago (2017-05-15 19:17:30 UTC) #41
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/268324) android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, ...
6 months, 1 week ago (2017-05-15 19:23:42 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2873243002/90001
6 months, 1 week ago (2017-05-16 05:02:52 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/437917)
6 months, 1 week ago (2017-05-16 05:14:53 UTC) #52
xing.xu
Hi, this requires lgtm from sky@ ** Presubmit ERRORS ** Missing LGTM from an OWNER ...
6 months, 1 week ago (2017-05-16 05:45:52 UTC) #53
sky
I think you just need me to sign off the change to components/display_compositor/DEPS, which is ...
6 months, 1 week ago (2017-05-17 15:30:58 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2873243002/90001
6 months, 1 week ago (2017-05-17 16:15:46 UTC) #56
commit-bot: I haz the power
6 months, 1 week ago (2017-05-17 19:08:32 UTC) #59
Message was sent while issue was closed.
Committed patchset #4 (id:90001) as
https://chromium.googlesource.com/chromium/src/+/e334e566ba0d6980a21b8ffa86f0...

Powered by Google App Engine
This is Rietveld efc10ee0f